function y=rect(x)
%RECT  function.
%   RECT(X) returns a matrix whose elements are the rect of the elements 
%   of X, i.e.
%        y = 1     if |x| < 0.5
%			  = 0.5   if |x| = 0.5
%          = 0     if x == 0
%   where x is an element of the input matrix and y is the resultant
%   output element.  

%   Author: John Loomis 25 Feb 2000

y=zeros(size(x));
i=find(abs(x)==0.5);
y(i) = 0.5;
i=find(abs(x)<0.5);
y(i)=1.0;
