function y=step(x)
%STEP  function.
%   STEP(X) returns a matrix whose elements are the step of the elements 
%   of X, i.e.
%        y = 1     if x > 0
%		   = 0.5   if x = 0
%          = 0     if x < 0
%   where x is an element of the input matrix and y is the resultant
%   output element.  

%   Author: John Loomis 25 Feb 2000

y=zeros(size(x));
idx=find(x==0);
y(idx) = 0.5;
idx=find(x>0);
y(idx)=1.0;
