function y=tri(x)
%TRI  function.
%   TRI(X) returns a matrix whose elements are the tri of the elements 
%   of X, i.e.
%        y = 1 - |x| if |x| < 1
%          = 0     if x >= 1
%   where x is an element of the input matrix and y is the resultant
%   output element.  

%   Author: John Loomis 12 Jan 2003

y=zeros(size(x));
idx=find(abs(x)<1.0);

y(idx) = 1-abs(x(idx));